GDAL-RASTER-UNSCALE(1)

NAME
gdal-raster-unscale - Convert scaled values of a raster dataset into unscaled values

Added in version 3.11.

SYNOPSIS

    Usage: gdal raster unscale [OPTIONS] <INPUT> <OUTPUT>
    Convert scaled values of a raster dataset into unscaled values.
    Positional arguments:
      -i, --input <INPUT>                                      Input raster datasets [required]
      -o, --output <OUTPUT>                                    Output raster dataset [required]
    Common Options:
      -h, --help                                               Display help message and exit
      --json-usage                                             Display usage as JSON document and exit
      --config <KEY>=<VALUE>                                   Configuration option [may be repeated]
      -q, --quiet                                              Quiet mode (no progress bar)
    Options:
      -f, --of, --format, --output-format <OUTPUT-FORMAT>      Output format ("GDALG" allowed)
      --co, --creation-option <KEY>=<VALUE>                    Creation option [may be repeated]
      --overwrite                                              Whether overwriting existing output is allowed
                                                               Mutually exclusive with --append
      --append                                                 Append as a subdataset to existing output
                                                               Mutually exclusive with --overwrite
      --ot, --datatype, --output-data-type <OUTPUT-DATA-TYPE>  Output data type. OUTPUT-DATA-TYPE=Byte|Int8|UInt16|Int16|UInt32|Int32|UInt64|Int64|CInt16|CInt32|Float16|Float32|Float64|CFloat32|CFloat64
    Advanced Options:
      --if, --input-format <INPUT-FORMAT>                      Input formats [may be repeated]
      --oo, --open-option <KEY>=<VALUE>                        Open options [may be repeated]

DESCRIPTION

gdal raster unscale applies the scale/offset metadata for the bands to convert scaled values to unscaled values.

If the input band data type is Byte, Int8, UInt16, Int16, UInt32, Int32, Int64, UInt64, Float16 or Float32, the default output data type will be Float32. If the input band data type is Float64, it will be kept as the default output data type. If the input band data type is CInt16, CFloat16 or CFloat32, the default output data type will be Float32. If the input band data type is CFloat64, it will be kept as the default output data type.

The unscaled value is computed from the scaled raw value with the following formula:

{unscaled\_value} = {scaled\_value} * {scale} + {offset}

If one of the input bands has no scale/offset metadata, its values are kept unmodified.

This command is the reverse operation of gdal raster scale.

This subcommand is also available as a potential step of gdal raster pipeline

  Standard options

-f, --of, --format, --output-format <OUTPUT-FORMAT>
    Which output raster format to use. Allowed values may be given by gdal --formats | grep raster | grep rw | sort

--co <NAME>=<VALUE>
    Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

    May be repeated.

    The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

--ot, --datatype, --output-data-type <OUTPUT-DATA-TYPE>
    Output data type among Byte, Int8, UInt16, Int16, UInt32, Int32, UInt64, Int64, CInt16, CInt32, Float32, Float64, CFloat32, CFloat64.

GDALG OUTPUT (ON-THE-FLY / STREAMED DATASET)

This program supports serializing the command line as a JSON file using the GDALG output format. The resulting file can then be opened as a raster dataset using the GDALG: GDAL Streamed Algorithm driver, and apply the specified pipeline in a on-the-fly / streamed way.

EXAMPLES

  Example 1: Unscale a scaled raster to a Float32 one

    $ gdal raster unscale scaled_byte.tif unscaled_float32.tif --overwrite

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025